<!-- Mainly scripts -->
    <script src="js/jquery-3.1.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="js/inspinia.js"></script>
    <script src="js/plugins/pace/pace.min.js"></script>

 <!-- Flot -->
    <script src="js/plugins/flot/jquery.flot.js"></script>
    <script src="js/plugins/flot/jquery.flot.tooltip.min.js"></script>
    <script src="js/plugins/flot/jquery.flot.spline.js"></script>
    <script src="js/plugins/flot/jquery.flot.resize.js"></script>
    <script src="js/plugins/flot/jquery.flot.pie.js"></script>
    <script src="js/plugins/flot/jquery.flot.symbol.js"></script>
    <script src="js/plugins/flot/jquery.flot.time.js"></script>
<!-- Sparkline -->
    <script src="js/plugins/sparkline/jquery.sparkline.min.js"></script>

  <script src="js/plugins/dataTables/datatables.min.js"></script>
  <!-- Select2 -->
    <script src="js/plugins/select2/select2.full.min.js"></script>

     <!-- Chosen -->
    <script src="js/plugins/chosen/chosen.jquery.js"></script>

    <!-- Toastr script -->
    <script src="js/plugins/toastr/toastr.min.js"></script>

    <!-- blueimp gallery -->
    <script src="js/plugins/blueimp/jquery.blueimp-gallery.min.js"></script>

     <!-- Page-Level Scripts -->

      <script src="simple-mask-money.js"></script>
     <!-- Page-Level Scripts -->


      <!-- FooTable -->
    <script src="js/plugins/footable/footable.all.min.js"></script>
    <script>
        $(document).ready(function() {

            $('.footable').footable();
            $('.footable2').footable();
//$('.footable').footable({pageSize:50});

var numberOfRows = 20;

$('.footable').footable();        
$('.footable').data('page-size', numberOfRows);
$('.footable').trigger('footable_initialized');

        });

    </script>

    <script>



function filtroparatercero(opcion)
{


var opcionobtenida = document.getElementById("opcionseleccionadaa").value;


//alert (opcionobtenida);
 if (opcionobtenida=="todos") {
  location.href="clientes.php";
 }

else
  {
    if (opcionobtenida !='') {

location.href="clientes.php?opcion2="+opcionobtenida;
 }
}

//alert (opcionobtenida);
}


      function calc_rend()
      {
        var peso = document.getElementById("peso_ref").value;
                var ancho = document.getElementById("ancho_ref").value;

                rend = (1000/ancho/peso*100);






//alert(document.getElementById("um_ref").value);
var variable=document.getElementById("um_ref").value;
variable=variable.toUpperCase();
if (variable=='KILOS' || variable=='KILO') {
 document.getElementById("rendi_ref").value=rend.toFixed(2);
}
else
{
    document.getElementById("rendi_ref").value="N/A";
}


calc_porc();

      }

       function calc_porc()
      {
        var cap_ref = document.getElementById("cap_ref").value;

        var quantity = document.getElementById("quantity").value;


        cap_ref= cap_ref.replace(",", "");
        cap_ref= cap_ref.replace(".", "");
        cap_ref= cap_ref/100;


        quantity= quantity.replace(",", "");
        //quantity= quantity.replace(".", "");
        //quantity= quantity/100;


        porc = ((quantity/cap_ref)*100);

        document.getElementById("porc_ocup").value=porc.toFixed(2);





      }

        $(document).ready(function(){




$("#rendi_ref").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{2})$/, '$1,$2')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});


$("#entrada_libro").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{2})$/, '$1,$2')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});

$("#salida_libro").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{2})$/, '$1,$2')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});

$("#factor").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});

$("#quantity").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});


$("#cap_ref").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});

// 
// $("#prec_comp").on({
//     "focus": function (event) {
//         $(event.target).select();
//     },
//     "keyup": function (event) {
//         $(event.target).val(function (index, value ) {
//             return value.replace(/\D/g, "")
//                         // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
//                         .replace(/([0-9])([0-9]{2})$/, '$1.$2')
//
//                         .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
//         });
//     }
// });


// $("#prec_venta").on({
//     "focus": function (event) {
//         $(event.target).select();
//     },
//     "keyup": function (event) {
//         $(event.target).val(function (index, value ) {
//             return value.replace(/\D/g, "")
//                         // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
//                         .replace(/([0-9])([0-9]{2})$/, '$1.$2')
//
//                         .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
//         });
//     }
// });


$("#valor_pago").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // sin decimales --> .replace(/([0-9])([0-9]{0})$/, '$1')
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});



 $("#iva_compra").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});







 $("#precio_unitw").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});


 $("#cantidadw").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});


          $("#cupo").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});


$("#costow").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});

$("#ivaw").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});


                        $('.chosen-select').chosen({width: "100%"});


            var table = $('.dataTables-example').DataTable({
                pageLength: 15,
                responsive: true,
                  "ordering": false,

                "bAutoWidth": false,
                dom: '<"html5buttons"B>lTfgitp',
                    "language": {
                "sProcessing":     "Procesando...",
                "sLengthMenu":     "Mostrar _MENU_ registros",
                "sZeroRecords":    "No se encontraron resultados",
                "sEmptyTable":     "Ningún dato disponible en esta tabla",
                "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix":    "",
                "sSearch":         "Buscar:",
                "sUrl":            "",
                "sInfoThousands":  ",",
                "sLoadingRecords": "Cargando...",
                "oPaginate": {
                    "sFirst":    "Primero",
                    "sLast":     "Último",
                    "sNext":     "Siguiente",
                    "sPrevious": "Anterior"
                },
                "oAria": {
                    "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
                    "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                }
            },
                buttons: [
                    /*  { extend: 'copy'},
                    {extend: 'csv'},*/
                    {extend: 'excel', title: 'Archivo de Excel'},
                   /* {extend: 'pdf', title: 'ExampleFile'},*/

                    {extend: 'print',
                     customize: function (win){
                            $(win.document.body).addClass('white-bg');
                            $(win.document.body).css('font-size', '10px');

                            $(win.document.body).find('table')
                                    .addClass('compact')
                                    .css('font-size', 'inherit');
                    }
                    }
                ]

            });

            

            




$('a.toggle-vis').on( 'click', function (e) {
        e.preventDefault();

        // Get the column API object
        var column = table.column( $(this).attr('data-column') );

        // Toggle the visibility
        column.visible( ! column.visible() );
    } );


 $('.dataTables-example-pagos').DataTable({
                pageLength: 15,
                responsive: true,
                 "ordering": false,
                  "bPaginate": false,
    "bLengthChange": false,
    "searching": false,
"info": false,
"sinfo": false,
                dom: '<"html5buttons"B>lTfgitp',
                    "language": {
                "sProcessing":     "Procesando...",
                "sLengthMenu":     "Mostrar _MENU_ registros",
                "sZeroRecords":    "No se encontraron resultados",
                "sEmptyTable":     "Ningún dato disponible en esta tabla",
                "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix":    "",
                "sSearch":         "Buscar:",
                "sUrl":            "",
                "sInfoThousands":  ",",
                "sLoadingRecords": "Cargando...",
                "oPaginate": {
                    "sFirst":    "Primero",
                    "sLast":     "Último",
                    "sNext":     "Siguiente",
                    "sPrevious": "Anterior"
                },
                "oAria": {
                    "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
                    "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                }
            },
                buttons: [
                    /*  { extend: 'copy'},
                    {extend: 'csv'},*/
                    {extend: 'excel', title: 'ArchivoExcel'},
                   /* {extend: 'pdf', title: 'ExampleFile'},*/

                    {extend: 'print',
                     customize: function (win){
                            $(win.document.body).addClass('white-bg');
                            $(win.document.body).css('font-size', '10px');

                            $(win.document.body).find('table')
                                    .addClass('compact')
                                    .css('font-size', 'inherit');
                    }
                    }
                ]

            });






            //////data table cliente

             $('.dataTables-example_cliente').DataTable({

                // AGRUPACION
         "columnDefs": [
            { "visible": false, "targets": 0 }
        ],
        "order": [[ 0, 'asc' ]],
        "displayLength": 50,
        "drawCallback": function ( settings ) {
            var api = this.api();
            var rows = api.rows( {page:'current'} ).nodes();
            var last=null;

            api.column(0, {page:'current'} ).data().each( function ( group, i ) {
                if ( last !== group ) {
                    $(rows).eq( i ).before(
                        '<tr class="group" style="background-color:rgba(118, 123, 132,0.5);"><td colspan="8"><b>Tipo: </b> '+group+'</td></tr>'
                    );

                    last = group;
                }
            } );
        },

// AGRUPACION


                pageLength: 25,
                responsive: true,
                stateSave: true,
                dom: '<"html5buttons"B>lTfgitp',
                            "language": {
                "sProcessing":     "Procesando...",
                "sLengthMenu":     "Mostrar _MENU_ registros",
                "sZeroRecords":    "No se encontraron resultados",
                "sEmptyTable":     "Ningún dato disponible en esta tabla",
                "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix":    "",
                "sSearch":         "Buscar:",
                "sUrl":            "",
                "sInfoThousands":  ",",
                "sLoadingRecords": "Cargando...",
                "oPaginate": {
                    "sFirst":    "Primero",
                    "sLast":     "Último",
                    "sNext":     "Siguiente",
                    "sPrevious": "Anterior"
                },
                "oAria": {
                    "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
                    "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                }
            },

                buttons: [
                   // { extend: 'copy'},
                   // {extend: 'csv'},
                    {extend: 'excel', title: 'ArchivoExcel'},
                    {extend: 'pdf', title: 'ArchivoPDF'},

                    {extend: 'print',
                     customize: function (win){
                            $(win.document.body).addClass('white-bg');
                            $(win.document.body).css('font-size', '10px');

                            $(win.document.body).find('table')
                                    .addClass('compact')
                                    .css('font-size', 'inherit');
                    }
                    }
                ]

            });







            //////data table fichero



            $('.dataTables-example_fichero').DataTable({
                pageLength: 15,
                responsive: true,
                dom: '<"html5buttons"B>lTfgitp',
                    "language": {
                "sProcessing":     "Procesando...",
                "sLengthMenu":     "Mostrar _MENU_ registros",
                "sZeroRecords":    "No se encontraron resultados",
                "sEmptyTable":     "Ningún dato disponible en esta tabla",
                "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix":    "",
                "sSearch":         "Buscar:",
                "sUrl":            "",
                "sInfoThousands":  ",",
                "sLoadingRecords": "Cargando...",
                "oPaginate": {
                    "sFirst":    "Primero",
                    "sLast":     "Último",
                    "sNext":     "Siguiente",
                    "sPrevious": "Anterior"
                },
                "oAria": {
                    "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
                    "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                }
            },
                buttons: [
                    /*  { extend: 'copy'},
                    {extend: 'csv'},*/
                    {extend: 'excel', title: 'ArchivoExcel'},
                   /* {extend: 'pdf', title: 'ExampleFile'},*/

                    {extend: 'print',
                     customize: function (win){
                            $(win.document.body).addClass('white-bg');
                            $(win.document.body).css('font-size', '10px');

                            $(win.document.body).find('table')
                                    .addClass('compact')
                                    .css('font-size', 'inherit');
                    }
                    }
                ]

            });


        });
















//////////////////////


////////////////////////

//////////////////////




////////////////////////




//////////////////////



////////////////////////



//////////////////////


////////////////////////




//////////////////////



////////////////////////

function ver(id)
{
if (id=="COMISION") {
    document.getElementById("fact").style.display="block";
    document.getElementById("trm").style.display="block";
}
else
{
    document.getElementById("fact").style.display="none";
    document.getElementById("trm").style.display="none";
}
}

function buscar_ref_pedido(id)
{

//alert(id);
            <?php

    $query="SELECT `id_item`, `orden_pedido`, `descripcion`, `supplier`, `um`, `width`, `weight`, `meter`, `quantity`, `precio_compra`, `price_usd`, `fob`, `cap_hq`, `porc_ocup`, `seis_ocho`, `cent`, `cent_usd`, `com_colim`, `total_com`, `bon_fab`, `total_bon_fab`, `total_ganac`, `fecha_prod`, `remark` FROM `pedidos_items` order by id_item asc";
    $resultado=$conexion-> query ($query);


    $query2="SELECT `id_item`, `orden_pedido`, `descripcion`, `supplier`, `um`, `width`, `weight`, `meter`, `quantity`, `precio_compra`, `price_usd`, `fob`, `cap_hq`, `porc_ocup`, `seis_ocho`, `cent`, `cent_usd`, `com_colim`, `total_com`, `bon_fab`, `total_bon_fab`, `total_ganac`, `fecha_prod`, `remark` FROM `importado_items` order by id_item asc";
    $resultado2=$conexion-> query ($query2);



    while ($row2=$resultado2->fetch_assoc()) {

?>
 if(id=='<?=$row2["id_item"]?>')
{

//alert(id);


 var select2=document.getElementById('remark');
var buscar2='<?=$row2["remark"]?>';
select2.selectedIndex=0;
for(var i=1;i<select2.length;i++)
    {
        if(select2.options[i].text==buscar2)
        {
            // seleccionamos el valor que coincide
            select2.selectedIndex=i;
        }
    }


 var buscar3='<?=$row2["supplier"]?>';

 $('#supplier').val(buscar3);
 $('#supplier').trigger("chosen:updated");



document.getElementById('porc_ocup').value='<?=number_format($row2["porc_ocup"],2,".",",")?>';
document.getElementById('quantity').value='<?=$row2["quantity"]?>';
document.getElementById('fob').value='<?=$row2["fob"]?>';
document.getElementById('com_colim').value='<?=$row2["com_colim"]?>';
document.getElementById('bon_fab').value='<?=$row2["bon_fab"]?>';

document.getElementById('um_ref').value= '<?=$row2["um"]?>';
document.getElementById('ancho_ref').value= '<?=$row2["width"]?>';
document.getElementById('peso_ref').value= '<?=$row2["weight"]?>';
document.getElementById('rendi_ref').value= '<?=number_format($row2["rendi_ref"],2,".",",")?>';
document.getElementById('cap_ref').value= '<?=number_format($row2["cap_hq"],2,".",",")?>';

document.getElementById('prec_venta').value= '<?=$row2["price_usd"]?>';
document.getElementById('prec_comp').value= '<?=$row2["precio_compra"]?>';


}

  //  alert(id);
<?php

}

    while ($row=$resultado->fetch_assoc()) {
        ?>
        if(id=='<?=$row["id_item"]?>')
{

   // alert(id);


 var select2=document.getElementById('remark');
var buscar2='<?=$row["remark"]?>';
select2.selectedIndex=0;
for(var i=1;i<select2.length;i++)
    {
        if(select2.options[i].text==buscar2)
        {
            // seleccionamos el valor que coincide
            select2.selectedIndex=i;
        }
    }


 var buscar3='<?=$row["supplier"]?>';

 $('#supplier').val(buscar3);
 $('#supplier').trigger("chosen:updated");



document.getElementById('porc_ocup').value='<?=number_format($row["porc_ocup"],2,".",",")?>';
document.getElementById('quantity').value='<?=$row["quantity"]?>';
document.getElementById('fob').value='<?=$row["fob"]?>';
document.getElementById('com_colim').value='<?=$row["com_colim"]?>';
document.getElementById('bon_fab').value='<?=$row["bon_fab"]?>';

document.getElementById('um_ref').value= '<?=$row["um"]?>';
document.getElementById('ancho_ref').value= '<?=$row["width"]?>';
document.getElementById('peso_ref').value= '<?=$row["weight"]?>';
document.getElementById('rendi_ref').value= '<?=number_format($row["rendi_ref"],2,".",",")?>';
document.getElementById('cap_ref').value= '<?=number_format($row2["cap_hq"],2,".",",")?>';

document.getElementById('prec_venta').value= '<?=$row["price_usd"]?>';
document.getElementById('prec_comp').value= '<?=$row["precio_compra"]?>';


//alert(id);
}

<?php
    }
?>




calc_rend()

}



function buscar_ref_pedido_2(id)
{

//alert(id);
            <?php

    $query2="SELECT `id_item`, `orden_pedido`, `descripcion`, `supplier`, `um`, `width`, `weight`, `meter`, `quantity`, `precio_compra`, `price_usd`, `fob`, `cap_hq`, `porc_ocup`, `seis_ocho`, `cent`, `cent_usd`, `com_colim`, `total_com`, `bon_fab`, `total_bon_fab`, `total_ganac`, `fecha_prod`, `remark` FROM `importado_items` order by id_item asc";
    $resultado2=$conexion-> query ($query2);



    while ($row2=$resultado2->fetch_assoc()) {

?>
 if(id=='<?=$row2["id_item"]?>')
{

//alert(id);


 var select2=document.getElementById('remark');
var buscar2='<?=$row2["remark"]?>';
select2.selectedIndex=0;
for(var i=1;i<select2.length;i++)
    {
        if(select2.options[i].text==buscar2)
        {
            // seleccionamos el valor que coincide
            select2.selectedIndex=i;
        }
    }


 var buscar3='<?=$row2["supplier"]?>';

 $('#supplier').val(buscar3);
 $('#supplier').trigger("chosen:updated");



document.getElementById('porc_ocup').value='<?=number_format($row2["porc_ocup"],2,".",",")?>';
document.getElementById('quantity').value='<?=$row2["quantity"]?>';
document.getElementById('fob').value='<?=$row2["fob"]?>';
document.getElementById('com_colim').value='<?=$row2["com_colim"]?>';
document.getElementById('bon_fab').value='<?=$row2["bon_fab"]?>';

document.getElementById('um_ref').value= '<?=$row2["um"]?>';
document.getElementById('ancho_ref').value= '<?=$row2["width"]?>';
document.getElementById('peso_ref').value= '<?=$row2["weight"]?>';
document.getElementById('rendi_ref').value= '<?=number_format($row2["rendi_ref"],2,".",",")?>';
document.getElementById('cap_ref').value= '<?=$row2["cap_hq"]?>';

document.getElementById('prec_venta').value= '<?=$row2["price_usd"]?>';
document.getElementById('prec_comp').value= '<?=$row2["precio_compra"]?>';


}

  //  alert(id);
<?php

}


        ?>

calc_rend()

}



function buscar_orden(id)

      {
            //alert(id);
            <?php

    $query="SELECT `id_pedido`, `orden`, `fecha_pedido`, `fecha_final`, `cliente`, `forma_pago`, `embalaje`, `observaciones` FROM `pedidos`";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["orden"]?>')
{

var select=document.getElementById('cliente');
var buscar='<?=$row["cliente"]?>';



$('#cliente').val(buscar);
 $('#cliente').trigger("chosen:updated");


document.getElementById('fecha_pedido').value='<?=$row["fecha_pedido"]?>';
document.getElementById('fecha_final').value='<?=$row["fecha_final"]?>';


var select2=document.getElementById('embalaje');
var buscar2='<?=$row["embalaje"]?>';

/*for(var i=1;i<select2.length;i++)
    {
        if(select2.options[i].text==buscar2)
        {
            // seleccionamos el valor que coincide
            select2.selectedIndex=i;
        }
    }*/
 $('#embalaje').val(buscar2);
 $('#embalaje').trigger("chosen:updated");

var select3=document.getElementById('forma_pago');
var buscar3='<?=$row["forma_pago"]?>';
 $('#forma_pago').val(buscar3);
 $('#forma_pago').trigger("chosen:updated");

document.getElementById('observaciones').value='<?=$row["observaciones"]?>';


regdetalles_pedidos_consulta(<?=$row["id_pedido"]?>);

///////////////////////////// buscar items

document.getElementById('referencia').length=0;
document.getElementById('referencia').options[0] = new Option("Seleccione","","defaultSelected","");
var indice=1;

          //alert(id);
          //alert(id_orden);
            <?php

    $query2="SELECT `id_item`, `orden_pedido`, `supplier`, nombre_ref FROM `pedidos_items` inner join referencias on descripcion=id_ref order by id_item asc";
    $resultado2=$conexion-> query ($query2);

    while ($row2=$resultado2->fetch_assoc()) {

?>
 if('<?=$row["id_pedido"]?>'=='<?=$row2["orden_pedido"]?>')
{



document.getElementById('referencia').options[indice] = new Option(indice+"-<?=$row2["nombre_ref"]?>","<?=$row2["id_item"]?>");

//alert(id);


indice++;
}

 $('#referencia').trigger("chosen:updated");

<?php

}

?>

/////////////////////////////////



}


<?php

}

?>
}


function buscar_ref(id)

      {
            //alert(id);
            <?php

    $query="SELECT `id_ref`, `nombre_ref`, `ancho_ref`, `peso_ref`, `rendi_ref`, `um_ref`, `comp_ref`, `const_ref`, `cap_ref`, `prec_venta`, `prec_comp`, `posi_aranc`, `tejido_ref`, `ligamento_ref`, `acabdado_ref`, `pais_origen`, `cod_ref` FROM `referencias` order by nombre_ref asc";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["id_ref"]?>')
{

document.getElementById('um_ref').value= '<?=$row["um_ref"]?>';
document.getElementById('ancho_ref').value= '<?=$row["ancho_ref"]?>';
document.getElementById('peso_ref').value= '<?=$row["peso_ref"]?>';
document.getElementById('rendi_ref').value= '<?=number_format($row["rendi_ref"],2,".",",")?>';
document.getElementById('cap_ref').value= '<?=number_format($row["cap_ref"],2,".",",")?>';
document.getElementById('prec_venta').value= '<?=$row["prec_venta"]?>';
document.getElementById('prec_comp').value= '<?=$row["prec_comp"]?>';

}


<?php

}

?>
}


function buscar_ref_visitas(id)

      {
            //alert(id);


            <?php

    $query="SELECT `id_ref`, `nombre_ref`, `ancho_ref`, `peso_ref`, `rendi_ref`, `um_ref`, `comp_ref`, `const_ref`, `cap_ref`, `prec_venta`, `prec_comp`, `posi_aranc`, `tejido_ref`, `ligamento_ref`, `acabdado_ref`, `pais_origen`, `cod_ref`, factor, financiero FROM `referencias` order by nombre_ref asc";
    $resultado=$conexion-> query ($query);


        $queryx="SELECT `id_estandar`, `trm`, `otro` FROM `estandar`";
    $resultadox=$conexion-> query ($queryx);
    $rowx=$resultadox->fetch_assoc();


    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["id_ref"]?>')
{

document.getElementById('um_ref').value= '<?=$row["um_ref"]?>';
document.getElementById('nombre_ref').value= '<?=$row["nombre_ref"]?>';
document.getElementById('factor').value= '<?=$row["factor"]?>';
document.getElementById('rendi_ref').value= '<?=number_format($row["rendi_ref"],2,".",",")?>';

document.getElementById('prec_venta').value= '<?=$row["prec_venta"]?>';

if (document.getElementById('um_ref').value=="Kilos" || document.getElementById('um_ref').value=="KILOS" || document.getElementById('um_ref').value=="KILO" || document.getElementById('um_ref').value=="kilos"  || document.getElementById('um_ref').value=="kilo" || document.getElementById('um_ref').value=="Kilo") {
    document.getElementById('valor_kilo').style.display="block";
}
else
{
    document.getElementById('valor_kilo').style.display="none";

}
document.getElementById('valor_kilo').value= '<?=number_format(($row["prec_venta"]*$rowx["trm"]*$row["factor"]),2,".",",")?>';
document.getElementById('valor_metro').value= '<?=number_format((($row["prec_venta"]*$rowx["trm"]*$row["factor"])/$row["rendi_ref"]),2,".",",")?>';

}


<?php

}

?>
}



function buscar_det_item_real(id,id_orden)

      {
            //alert(id);
            <?php

    $query="SELECT `importado_items_color`.`quantity` quantity, color, importado_items.orden_pedido orden_pedido, q_real, id_pedidos_color  FROM `importado_items_color` inner join importado_items on id_pedidos_items=importado_items.id_item";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["id_pedidos_color"]?>' && id_orden=='<?=$row["orden_pedido"]?>')
{
<?php


?>

document.getElementById('qty_det_'+id_orden).value='<?=number_format($row["quantity"],0,"",",")?>';
document.getElementById('q_real_'+id_orden).value='<?=$row["q_real"]?>';
document.getElementById('color_det_'+id_orden).value='<?=$row["color"]?>';
document.getElementById('id_pedidos_color_'+id_orden).value='<?=$row["id_pedidos_color"]?>';



}


<?php

}

?>
}





function buscar_det_item(id,id_orden)

      {
            //alert(id);
            <?php

    $query="SELECT `id_item`, `orden_pedido`, `descripcion`, `supplier`, `um`, `width`, `weight`, `meter`, `quantity`, `precio_compra`, `price_usd`, `fob`, `cap_hq`, `porc_ocup`, `seis_ocho`, `cent`, `cent_usd`, `com_colim`, `total_com`, `bon_fab`, `total_bon_fab`, `total_ganac`, `fecha_prod`, `remark` FROM `pedidos_items`";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["id_item"]?>' && id_orden=='<?=$row["orden_pedido"]?>')
{



document.getElementById('um_det_ref_'+id_orden).value='<?=$row["um"]?>';
document.getElementById('width_det_ref_'+id_orden).value='<?=$row["width"]?>';
document.getElementById('weight_det_ref_'+id_orden).value='<?=$row["weight"]?>';
document.getElementById('meter_det_ref_'+id_orden).value='<?=number_format($row["meter"],2,".",",")?>';
document.getElementById('total_det_ref_'+id_orden).value='<?=number_format($row["precio_compra"]*$row["quantity"],2,".",",")?>';
document.getElementById('price_det_ref_'+id_orden).value='<?=number_format($row["precio_compra"],2,".",",")?>';
document.getElementById('qty_ref_'+id_orden).value='<?=number_format($row["quantity"],0,".",",")?>';


}


<?php

}

?>
}





function buscar_ref_det_real(id,id_orden)

      {
            document.getElementById('referencia_det_'+id_orden).length=0;
document.getElementById('referencia_det_'+id_orden).options[0] = new Option("-- Seleccione --","","defaultSelected","");
var indice=1;

          //alert(id);
          //alert(id_orden);
            <?php

    $query="SELECT `id_item`, `orden_pedido`, `supplier`, nombre_ref FROM `importado_items` inner join referencias on descripcion=id_ref order by orden_pedido asc";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["supplier"]?>' && id_orden=='<?=$row["orden_pedido"]?>')
{



document.getElementById('referencia_det_'+id_orden).options[indice] = new Option("<?=$row["nombre_ref"]?>","<?=$row["id_item"]?>");

//alert(id);


indice++;
}


<?php

}

?>
}


function buscar_quien_paga(id)  {
//alert(id);
//alert(id_orden);



    
            document.getElementById('quien_paga').length=0;
document.getElementById('quien_paga').options[0] = new Option("-- Seleccione --","","defaultSelected","");
document.getElementById('quien_paga').options[1] = new Option("N/A","","","");
var indice=2;

          //alert(id);
          //alert(id_orden);
            <?php

    $query="SELECT distinct(`supplier`) supplier, orden, nombre FROM `pedidos_items` inner join pedidos on orden_pedido= pedidos.id_pedido  inner join clientes on id=supplier";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["orden"]?>')
{



document.getElementById('quien_paga').options[indice] = new Option("<?=$row["nombre"]?>","<?=$row["nombre"]?>");

//alert(id);


indice++;
}


<?php

}

?>

}






function buscar_ref_det(id,id_orden)

      {
            document.getElementById('referencia_det_'+id_orden).length=0;
document.getElementById('referencia_det_'+id_orden).options[0] = new Option("-- Seleccione --","","defaultSelected","");
var indice=1;

          //alert(id);
          //alert(id_orden);
            <?php

    $query="SELECT `id_item`, `orden_pedido`, `supplier`, nombre_ref FROM `pedidos_items` inner join referencias on descripcion=id_ref order by orden_pedido asc";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {

?>
 if(id=='<?=$row["supplier"]?>' && id_orden=='<?=$row["orden_pedido"]?>')
{



document.getElementById('referencia_det_'+id_orden).options[indice] = new Option("<?=$row["nombre_ref"]?>","<?=$row["id_item"]?>");

//alert(id);


indice++;
}


<?php

}

?>
}





function buscar_nit(id)

      {
            //alert(id);
            <?php

   /* $query="SELECT `documento`, id_cliente FROM `clientes`";
    $resultado=$conexion-> query ($query);

    while ($row=$resultado->fetch_assoc()) {*/

?>
 if(id=='<?=/*$row["id_cliente"]*/1?>')
{
document.formulario.nit_cliente.value = "<?=$row["documento"]?>";

}


<?php

/*}*/

?>
}


function cuenta_contable()
{

  document.getElementById("cta_contable").value=document.getElementById("cta_contabl1").value+document.getElementById("cta_contabl2").value+document.getElementById("cta_contabl3").value+document.getElementById("cta_contabl4").value;
}



function tipo_carr(id)

{


  if (id=="ESTACA") {
    document.getElementById("estaca").style.display="block";
  }
  else
  {
    document.getElementById("estaca").style.display="none";
  }

 if (id=="FURGON") {
    document.getElementById("furgon").style.display="block";

  }
  else
  {
    document.getElementById("furgon").style.display="none";
  }

  if (id=="PLANCHONES") {
    document.getElementById("planchon").style.display="block";

  }
  else
  {
    document.getElementById("planchon").style.display="none";

  }



   if (id=="PALETIZADA" || id=="GRUAS" || id=="REPARTO" || id=="VIDRIERO") {
    document.getElementById("otros").style.display="block";

  }
  else
  {
    document.getElementById("otros").style.display="none";

  }



}

// AJAX

 function objetoAjax(){
                  var xmlhttp=false;
                  try {
                    xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
                  } catch (e) {

                  try {
                    xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
                  } catch (E) {
                    xmlhttp = false;
                  }
                }

                if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
                    xmlhttp = new XMLHttpRequest();
                  }
                  return xmlhttp;
                }


//AJAX

function quehago(){
    window.history.back();
}

function guardoregistropago(edtest){
//alert('Entre');

/** var variable= document.getElementById('muestrorespuesta');

 var = document.getElementById('').value;
 var = document.getElementById('').value;
 var = document.getElementById('').value;
 var = document.getElementById('').value;
 var = document.getElementById('').value;
 var = document.getElementById('').value;
 var = document.getElementById('').value;
 **/
}

function regdetalles(){



 var variable= document.getElementById('resultado');

 var num_cotiz= document.getElementById('num_cotiz').value;
var referencia =  document.getElementById('referencia').value;
var nombre_referencia =  document.getElementById('nombre_referencia').value;
var cantidad =  document.getElementById('cantidad').value;
var precio_unit =  document.getElementById('precio_unit').value;
var total =  document.getElementById('total').value;
//var variable =0;
        if ( nombre_referencia.length==0 || cantidad.length==0 || precio_unit.length==0 || total.length==0 ) {

alert('Algunos valores estan vacíos.');
        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "reg_det_cotizacion.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("num_cotiz="+num_cotiz+"&referencia="+referencia+"&nombre_referencia="+nombre_referencia+"&cantidad="+cantidad+"&precio_unit="+precio_unit+"&total="+total);


        }


    }



function regdetalles_pedidos_consulta(id){


 var variable= document.getElementById('resultado');

           ajax=objetoAjax();
      ajax.open("POST", "consulta_det_orden.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id);


       }


function regdetalles_pedidos(){

var variable= document.getElementById('resultado');

var referencia= document.getElementById('referencia').value;
var supplier= document.getElementById('supplier').value;
var um_ref= document.getElementById('um_ref').value;
var ancho_ref= document.getElementById('ancho_ref').value;
var peso_ref= document.getElementById('peso_ref').value;
var rendi_ref= document.getElementById('rendi_ref').value;
var cap_ref= document.getElementById('cap_ref').value;
var porc_ocup= document.getElementById('porc_ocup').value;
var quantity= document.getElementById('quantity').value;
var com_colim= document.getElementById('com_colim').value;
var bon_fab= document.getElementById('bon_fab').value;
var remark= document.getElementById('remark').value;
var prec_venta= document.getElementById('prec_venta').value;
var prec_comp= document.getElementById('prec_comp').value;
var fob= document.getElementById('fob').value;
var fecha_final= document.getElementById('fecha_final').value;
var tela_etiqueta= document.getElementById('tela_etiqueta').value;
var tenido= document.getElementById('tenido').value;



 var num_orden= document.getElementById('num_orden').value;

//var variable =0;
        if ( referencia.length==0 || quantity.length==0 ) {

alert('Algunos valores estan vacíos.');
        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "reg_det_orden.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("referencia="+referencia+"&supplier="+supplier+"&um_ref="+um_ref+"&ancho_ref="+ancho_ref+"&peso_ref="+peso_ref+"&rendi_ref="+rendi_ref+"&cap_ref="+cap_ref+"&porc_ocup="+porc_ocup+"&quantity="+quantity+"&com_colim="+com_colim+"&bon_fab="+bon_fab+"&remark="+remark+"&prec_venta="+prec_venta+"&prec_comp="+prec_comp+"&fob="+fob+"&num_orden="+num_orden+"&fecha_final="+fecha_final+"&tela_etiqueta="+tela_etiqueta+"&tenido="+tenido);





       }



document.getElementById('um_ref').value="";
document.getElementById('ancho_ref').value="";
document.getElementById('peso_ref').value="";
document.getElementById('rendi_ref').value="";
document.getElementById('cap_ref').value="";
document.getElementById('porc_ocup').value="";
document.getElementById('quantity').value="";
document.getElementById('com_colim').value="";
document.getElementById('bon_fab').value="";
document.getElementById('remark').value="";
document.getElementById('prec_venta').value="";
document.getElementById('prec_comp').value="";
document.getElementById('tela_etiqueta').value="";
document.getElementById('fob').value="";
document.getElementById('tenido').value="";

    }




function actdetalles_pedidos_real(){



 var variable= document.getElementById('resultado');




var referencia= document.getElementById('referencia').value;
var supplier= document.getElementById('supplier').value;
var um_ref= document.getElementById('um_ref').value;
var ancho_ref= document.getElementById('ancho_ref').value;
var peso_ref= document.getElementById('peso_ref').value;
var rendi_ref= document.getElementById('rendi_ref').value;
var cap_ref= document.getElementById('cap_ref').value;
var porc_ocup= document.getElementById('porc_ocup').value;
var quantity= document.getElementById('quantity').value;
var com_colim= document.getElementById('com_colim').value;
var bon_fab= document.getElementById('bon_fab').value;
var remark= document.getElementById('remark').value;
var prec_venta= document.getElementById('prec_venta').value;
var prec_comp= document.getElementById('prec_comp').value;
var fob= document.getElementById('fob').value;
var fecha_final= document.getElementById('fecha_final').value;
var tenido= document.getElementById('tenido').value;


 var num_orden= document.getElementById('orden').value;
 //var variable =0;
        if ( referencia.length==0 || quantity.length==0 || prec_venta.length==0 || prec_comp.length==0 ) {

alert('Algunos valores estan vacíos.');
        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "act_det_orden.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("referencia="+referencia+"&supplier="+supplier+"&um_ref="+um_ref+"&ancho_ref="+ancho_ref+"&peso_ref="+peso_ref+"&rendi_ref="+rendi_ref+"&cap_ref="+cap_ref+"&porc_ocup="+porc_ocup+"&quantity="+quantity+"&com_colim="+com_colim+"&bon_fab="+bon_fab+"&remark="+remark+"&prec_venta="+prec_venta+"&prec_comp="+prec_comp+"&fob="+fob+"&num_orden="+num_orden+"&fecha_final="+fecha_final+"&tenido="+tenido);





       }


    document.getElementById('um_ref').value="";
document.getElementById('ancho_ref').value="";
document.getElementById('peso_ref').value="";
document.getElementById('rendi_ref').value="";
document.getElementById('cap_ref').value="";
document.getElementById('porc_ocup').value="";
document.getElementById('quantity').value="";
document.getElementById('com_colim').value="";
document.getElementById('bon_fab').value="";
document.getElementById('remark').value="";
document.getElementById('prec_venta').value="";
document.getElementById('prec_comp').value="";
document.getElementById('fob').value="";
document.getElementById('tenido').value="";

    }


    function actdetalles_pedidos_real2(){



 var variable= document.getElementById('resultado');




var referencia= document.getElementById('referencia').value;
var supplier= document.getElementById('supplier').value;
var um_ref= document.getElementById('um_ref').value;
var ancho_ref= document.getElementById('ancho_ref').value;
var peso_ref= document.getElementById('peso_ref').value;
var rendi_ref= document.getElementById('rendi_ref').value;
var cap_ref= document.getElementById('cap_ref').value;
var porc_ocup= document.getElementById('porc_ocup').value;
var quantity= document.getElementById('quantity').value;
var com_colim= document.getElementById('com_colim').value;
var bon_fab= document.getElementById('bon_fab').value;
var remark= document.getElementById('remark').value;
var prec_venta= document.getElementById('prec_venta').value;
var prec_comp= document.getElementById('prec_comp').value;
var fob= document.getElementById('fob').value;
var fecha_final= document.getElementById('fecha_final').value;
var tenido= document.getElementById('tenido').value;


 var num_orden= document.getElementById('orden').value;
 //var variable =0;
        if ( referencia.length==0 || quantity.length==0 || prec_venta.length==0 || prec_comp.length==0 ) {

alert('Algunos valores estan vacíos.');
        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "act_det_orden_2.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("referencia="+referencia+"&supplier="+supplier+"&um_ref="+um_ref+"&ancho_ref="+ancho_ref+"&peso_ref="+peso_ref+"&rendi_ref="+rendi_ref+"&cap_ref="+cap_ref+"&porc_ocup="+porc_ocup+"&quantity="+quantity+"&com_colim="+com_colim+"&bon_fab="+bon_fab+"&remark="+remark+"&prec_venta="+prec_venta+"&prec_comp="+prec_comp+"&fob="+fob+"&num_orden="+num_orden+"&fecha_final="+fecha_final+"&tenido="+tenido);





       }

document.getElementById('um_ref').value="";
document.getElementById('ancho_ref').value="";
document.getElementById('peso_ref').value="";
document.getElementById('rendi_ref').value="";
document.getElementById('cap_ref').value="";
document.getElementById('porc_ocup').value="";
document.getElementById('quantity').value="";
document.getElementById('com_colim').value="";
document.getElementById('bon_fab').value="";
document.getElementById('remark').value="";
document.getElementById('prec_venta').value="";
document.getElementById('prec_comp').value="";
document.getElementById('fob').value="";
document.getElementById('tenido').value="";


    }






function regdetalles_color_real(id){



 var variable= document.getElementById('resultado_detalles_'+id);

var id_pedidos_color= document.getElementById('id_pedidos_color_'+id).value;
var referencia_det= document.getElementById('referencia_det_'+id).value;
var color_det= document.getElementById('color_det_'+id).value;
var qty_det= document.getElementById('qty_det_'+id).value;


        qty_det = qty_det.replace(",", "");

var q_real= document.getElementById('q_real_'+id).value;


        q_real = q_real.replace(",", "");

var numpedido= document.getElementById('numpedido_'+id).value;



//var variable =0;
        if ( color_det.length==0 || qty_det.length==0 || referencia_det.length==0 || q_real.length==0) {

alert('Algunos valores estan vacíos.');

        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "reg_det_color_real.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("referencia_det="+referencia_det+"&color_det="+color_det+"&q_real="+q_real+"&qty_det="+qty_det+"&numpedido="+numpedido+"&id_pedidos_color="+id_pedidos_color);



document.getElementById('color_det_'+id).value="";
document.getElementById('qty_det_'+id).value="";
document.getElementById('q_real_'+id).value="";

       }


    }

function regdetalles_color(id){



 var variable= document.getElementById('resultado_detalles_'+id);

var referencia_det= document.getElementById('referencia_det_'+id).value;
var color_det= document.getElementById('color_det_'+id).value;
var qty_det= document.getElementById('qty_det_'+id).value;


        qty_det = qty_det.replace(",", "");


var numpedido= document.getElementById('numpedido_'+id).value;



//var variable =0;
        if ( color_det.length==0 || qty_det.length==0 || referencia_det.length==0) {

alert('Algunos valores estan vacíos.');
        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "reg_det_color.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("referencia_det="+referencia_det+"&color_det="+color_det+"&qty_det="+qty_det+"&numpedido="+numpedido);





       }



document.getElementById('color_det_'+id).value="";
document.getElementById('qty_det_'+id).value="";

    }





function regdetalles_consumos(){



 var variable= document.getElementById('resultado');

 var num_cotiz= document.getElementById('num_cotiz').value;
var referencia =  document.getElementById('referencia').value;
var nombre_referencia =  document.getElementById('nombre_referencia').value;
var cantidad =  document.getElementById('cantidad').value;
var precio_unit =  document.getElementById('precio_unit').value;
var iva_consumos =  document.getElementById('iva_consumos').value;
var total =  document.getElementById('total').value;
//var variable =0;
        if ( nombre_referencia.length==0 || cantidad.length==0 ) {

alert('Algunos valores estan vacíos.');
        }
        else
        { //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "reg_det_cotizacion_consumos.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("num_cotiz="+num_cotiz+"&referencia="+referencia+"&nombre_referencia="+nombre_referencia+"&cantidad="+cantidad+"&precio_unit="+precio_unit+"&total="+total+"&iva_consumos="+iva_consumos);







        }


    }



    function elminar_det(id){
 var variable= document.getElementById('resultado');
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elim_det_cotizacion.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id);



    }

function agregoqtyreal(vecked,idpedidocolor,id_pedido,idpedidoenvio){
    var variable= document.getElementById('resultado_detalles_'+id_pedido);
    //alert(vecked);
    //q_real= document.getElementById('q_real').value;
    //alert(q_real);
var vqtyr=vecked;
var idpedidocolor=idpedidocolor;
    ajax=objetoAjax();
      ajax.open("POST", "act_qtyr.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }

       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("vqtyr="+vqtyr+"&idpedidocolor="+idpedidocolor+"&idpedidoenvio="+idpedidoenvio);
     //alert(vqtyr);
      //alert(idpedidocolor);
//alert(id_pedido);
    //location.href="importado.php";
    //alert(idpedidoenvio);
    alert("Dato Actualizado");
}


       function elminar_det_color_real(id,id_pedido){
 var variable= document.getElementById('resultado_detalles_'+id_pedido);
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elminar_det_color_real.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id+"&id_pedido="+id_pedido);



    }



       function elminar_det_color(id,id_pedido){
 var variable= document.getElementById('resultado_detalles_'+id_pedido);
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elminar_det_color.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id+"&id_pedido="+id_pedido);



    }





function elminar_det_pedido_real(id){
      //alert("Hola");
 var variable= document.getElementById('resultado');
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elminar_det_pedido_real.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id);


    }

function elminar_det_pedido_real_2(id){
      //alert("Hola");
 var variable= document.getElementById('resultado');
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elminar_det_pedido_real_2.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id);


    }



    function elminar_det_pedido(id){
      //alert("Hola");
 var variable= document.getElementById('resultado');
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elminar_det_pedido.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id);










    }



  function elim_det_consumos(id){
      //alert("Hola");
 var variable= document.getElementById('resultado');
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elim_det_consumos.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id);










    }

     function elminar_det_componer(id,referencia){
      //alert("Hola");

 var variable= document.getElementById('resultado_'+referencia);
  //ajax interno
           ajax=objetoAjax();
      ajax.open("POST", "elminar_det_componer.php",true);
        ajax.onreadystatechange=function() {
          if (ajax.readyState==4) {

           variable.innerHTML = ajax.responseText;
       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("id="+id+"&referencia="+referencia);










    }



function cal_total()
{
    var cantidad =  document.getElementById('cantidad').value;
var precio_unit =  document.getElementById('precio_unit').value;
document.getElementById('total').value=cantidad*precio_unit;
}

 function MaysPrimera(oracion){

var string = oracion.value;
 var minusculas = string.toLowerCase();

//oracion.value = minusculas.replace(/^([a-z\u00E0-\u00FC])|\s+([a-z\u00E0-\u00FC])/g, function($1){
//return $1.toUpperCase();
//});
/// SOLO LA PROMERA DE TODO EL TEXTO
oracion.value=minusculas.charAt(0).toUpperCase() + minusculas.slice(1);
}

function cal_total_compras()
{

  var cantidad = document.getElementById("cantidad").value;
        cantidad = cantidad.replace(".", "");

        var cantidad = cantidad;
        cantidad = cantidad.replace(".", "");


        var cantidad = cantidad;
        cantidad = cantidad.replace(".", "");


         var precio_unit = document.getElementById("precio_unit").value;
        precio_unit = precio_unit.replace(".", "");

        var precio_unit = precio_unit;
        precio_unit = precio_unit.replace(".", "");


        var precio_unit = precio_unit;
        precio_unit = precio_unit.replace(".", "");



            var iva_compra = document.getElementById("iva_compra").value;
        iva_compra = iva_compra.replace(".", "");

        var iva_compra = iva_compra;
        iva_compra = iva_compra.replace(".", "");


        var iva_compra = iva_compra;
        iva_compra = iva_compra.replace(".", "");

    var cantidad =  document.getElementById('cantidad').value;
var precio_unit =  document.getElementById('precio_unit').value;
var iva_compra =  document.getElementById('iva_compra').value;
document.getElementById('total').value=parseFloat(cantidad*precio_unit);
}




   function MaysPrimera2(oracion){

var string = oracion.value;
 var minusculas = string.toLowerCase();
//// CADA PALABRA
oracion.value = minusculas.replace(/^([a-z\u00E0-\u00FC])|\s+([a-z\u00E0-\u00FC])/g, function($1){
return $1.toUpperCase();
});

//oracion.value=minusculas.charAt(0).toUpperCase() + minusculas.slice(1);
}

         function minusculas(oracion){

var string = oracion.value;
 var minusculas = string.toLowerCase();

//oracion.value = minusculas.replace(/^([a-z\u00E0-\u00FC])|\s+([a-z\u00E0-\u00FC])/g, function($1){
//return $1.toUpperCase();
//});
/// SOLO LA PROMERA DE TODO EL TEXTO
oracion.value=minusculas;
}



function copiar_valor()
    {   var input_g = document.getElementById("cupo").value;
        document.getElementById("cupo2").value = input_g.replace(".", "");

        var input_g = document.getElementById("cupo2").value;
        document.getElementById("cupo2").value = input_g.replace(".", "");


        var input_g = document.getElementById("cupo2").value;
        document.getElementById("cupo2").value = input_g.replace(".", "");


        input_g = document.getElementById("cupo2").value;
        document.getElementById("cupo2").value = input_g.replace(",", "."); }

      function mascara_valor()
      { // configuration
      let args = {
        prefix: '', suffix: '', fixed: true, fractionDigits: 0, decimalSeparator: ',', thousandsSeparator: '.', autoCompleteDecimal: true
      }; // select the element
      let input = SimpleMaskMoney.setMask('#cupo', args); }


function mostrarinput()
{
  document.getElementById("cupo").style.display="block";
}


function ocultarinput()
{
  document.getElementById("cupo").style.display="none";
}

function escribir(a,b)
{
  document.getElementById("direccion").value=a;
  document.getElementById("direccion_dian").value=b;
}

function escribir2(a,b)
{
  document.getElementById("direcc_1").value=a;
  document.getElementById("direcc_1_dian").value=b;
}

 function registro(id){
       //alert(id);
            // alert("hola");
        //Registrar detalle factura
        if (id==3) {
        // alert("Eduar entraste en la funcion pero aun no has pasado al php");
        //validar campos
        //alert("hola");
        document.getElementById('showtoast4').style.display='block';
        var divResultado2 =document.getElementById('detalle');
         var cantidad= document.getElementById('cantidad').value;
        var producto =  document.getElementById('producto').value;
        var num_fac =  document.getElementById('num_fac').value;
        //var cliente =  document.getElementById('cliente').value;
        var valor =  document.getElementById('valor').value;

        //alert("E22222");
        if (cantidad.length==0 || producto.length==0 || num_fac.length==0 ) {

           return 3;

        }
        else
        {
            //ajax interno

           ajax=objetoAjax();

      ajax.open("POST", "guardar_detalle.php",true);

        ajax.onreadystatechange=function() {

          if (ajax.readyState==4) {

       divResultado2.innerHTML = ajax.responseText;
       }

      }
    ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("cantidad="+cantidad+"&producto="+producto+"&num_fac="+num_fac+"&valor="+valor);

     // alert ("hola4");
           // ajax interno
//return 1;


        }
    //alert("hola");

    }//// termina el if 3

     //Registrar factura
    if (id==4) {
        //validar campos

//var divResultado2 =document.getElementById('respuesta');
 document.getElementById('btnimprimir').style.display='none';
 document.getElementById('btncancelar').style.display='none';
 document.getElementById('showtoast3').style.display='none';
 document.getElementById('showtoast4').style.display='none';
var num_fac =  document.getElementById('num_fac').value;
var numero_max =  document.getElementById('numero_max').value;
var empresa =  document.getElementById('empresa').value;
var idv =  document.getElementById('idv').value;

//alert(empresa);
        var RETEFUENTE= document.getElementById('RETEFUENTE').value;
        var IVA =  document.getElementById('IVA').value;
        var RETEIVA =  document.getElementById('RETEIVA').value;




var comentarios =  document.getElementById('comentarios').value;


            //ajax interno

           ajax=objetoAjax();

      ajax.open("POST", "guardar_factura.php",true);

        ajax.onreadystatechange=function() {

          if (ajax.readyState==4) {
 //alert('BIEN');
      // divResultado2.innerHTML = ajax.responseText;

       }

      }
       ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
     ajax.send("empresa="+empresa+"&comentarios="+comentarios+"&num_fac="+num_fac+"&numero_max="+numero_max+"&RETEIVA="+RETEIVA+"&RETEFUENTE="+RETEFUENTE+"&IVA="+IVA);

    //location.href=;

    //location.href=nueva_factura2.php;
  window.open('imprimir2.php?aleatorio='+idv, '_blank');
    window.location.href = 'nueva_factura2.php';

           // ajax interno
//return 1;

        }
    //alert("hola");

    }//// termina el if 4



function agregarproducto(id){
alert("Entre");
}




$(document).ready(function(){

           $("#valor2").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
       var input_g = document.getElementById("valor2").value;
      document.getElementById("valor").value=input_g.replace(".", "");
       input_g =document.getElementById("valor").value;
      document.getElementById("valor").value=input_g.replace(".", "");
      input_g =document.getElementById("valor").value;
      document.getElementById("valor").value=input_g.replace(".", "");
      input_g =document.getElementById("valor").value;
      document.getElementById("valor").value=input_g.replace(".", "");
      input_g =document.getElementById("valor").value;
      document.getElementById("valor").value=input_g.replace(".", "");
      input_g =document.getElementById("valor").value;
      document.getElementById("valor").value=input_g.replace(".", "");
      document.getElementById("valor").value=input_g.replace(".", "");
      document.getElementById("valor").value=input_g.replace(".", "");
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        // Con decimales --> .replace(/([0-9])([0-9]{2})$/, '$1,$2')
                        .replace(/([0-9])([0-9]{0})$/, '$1')

                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ".");
        });
    }
});
   });



    </script>
